'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Close = function (_React$PureComponent) {
  _inherits(Close, _React$PureComponent);

  function Close() {
    _classCallCheck(this, Close);

    return _possibleConstructorReturn(this, (Close.__proto__ || Object.getPrototypeOf(Close)).apply(this, arguments));
  }

  _createClass(Close, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          color = _props.color;

      return _react2.default.createElement(
        'svg',
        { width: size, height: size, viewBox: '0 0 24 24' },
        _react2.default.createElement(
          'defs',
          null,
          _react2.default.createElement('path', { d: 'M5.29138364,8 L0.560972816,12.7304108 C-0.186990939,13.4783746 -0.186990939,14.6910634 0.560972816,15.4390272 L0.560972816,15.4390272 C1.30893657,16.1869909 2.52162542,16.1869909 3.26958918,15.4390272 L3.26958918,15.4390272 L8,10.7086164 L12.7304108,15.4390272 C13.4783746,16.1869909 14.6910634,16.1869909 15.4390272,15.4390272 L15.4390272,15.4390272 C16.1869909,14.6910634 16.1869909,13.4783746 15.4390272,12.7304108 L15.4390272,12.7304108 L10.7086164,8 L15.4390272,3.26958918 C16.1869909,2.52162542 16.1869909,1.30893657 15.4390272,0.560972816 L15.4390272,0.560972816 C14.6910634,-0.186990939 13.4783746,-0.186990939 12.7304108,0.560972816 L12.7304108,0.560972816 L8,5.29138364 L3.26958918,0.560972816 L3.26958918,0.560972816 C2.52162542,-0.186990939 1.30893657,-0.186990939 0.560972816,0.560972816 L0.560972816,0.560972816 C-0.186990939,1.30893657 -0.186990939,2.52162542 0.560972816,3.26958918 L0.560972816,3.26958918 L5.29138364,8 Z', id: 'path-1' })
        ),
        _react2.default.createElement(
          'g',
          { id: 'Symbols', stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd' },
          _react2.default.createElement(
            'g',
            { id: 'icon/container/close-interaction' },
            _react2.default.createElement(
              'g',
              { id: 'bg/color-interaction', transform: 'translate(4.000000, 4.000000)' },
              _react2.default.createElement(
                'mask',
                { id: 'mask-2', fill: 'white' },
                _react2.default.createElement('use', { xlinkHref: '#path-1' })
              ),
              _react2.default.createElement('use', { id: 'Mask', fill: '#FFE94A', xlinkHref: '#path-1' }),
              _react2.default.createElement(
                'g',
                { mask: 'url(#mask-2)', id: 'color/green/green' },
                _react2.default.createElement(
                  'g',
                  { transform: 'translate(-4.000000, -4.000000)' },
                  _react2.default.createElement(
                    'g',
                    null,
                    _react2.default.createElement('rect', { id: 'Rectangle', fill: color, x: '0', y: '0', width: '24', height: '24' })
                  )
                )
              )
            )
          )
        )
      );
    }
  }]);

  return Close;
}(_react2.default.PureComponent);

Close.defaultProps = {
  color: '#00B083',
  size: '24'
};

Close.propTypes = {
  color: _propTypes2.default.string,
  size: _propTypes2.default.string
};

exports.default = Close;