'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Arrow = function (_React$PureComponent) {
  _inherits(Arrow, _React$PureComponent);

  function Arrow() {
    _classCallCheck(this, Arrow);

    return _possibleConstructorReturn(this, (Arrow.__proto__ || Object.getPrototypeOf(Arrow)).apply(this, arguments));
  }

  _createClass(Arrow, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          color = _props.color;

      return _react2.default.createElement(
        'svg',
        { width: size, height: size, viewBox: '0 0 56 56', xmlns: 'http://www.w3.org/2000/svg', xmlnsXlink: 'http://www.w3.org/1999/xlink' },
        _react2.default.createElement(
          'defs',
          null,
          _react2.default.createElement('circle', { id: 'b', cx: '24', cy: '24', r: '24' }),
          _react2.default.createElement(
            'filter',
            { x: '-16.7%', y: '-8.3%', width: '133.3%', height: '133.3%', filterUnits: 'objectBoundingBox', id: 'a' },
            _react2.default.createElement('feOffset', { dy: '4', 'in': 'SourceAlpha', result: 'shadowOffsetOuter1' }),
            _react2.default.createElement('feGaussianBlur', { stdDeviation: '2', 'in': 'shadowOffsetOuter1', result: 'shadowBlurOuter1' }),
            _react2.default.createElement('feColorMatrix', { values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.3 0', 'in': 'shadowBlurOuter1' })
          )
        ),
        _react2.default.createElement(
          'g',
          { fill: 'none', fillRule: 'evenodd' },
          _react2.default.createElement(
            'g',
            { transform: 'translate(4)' },
            _react2.default.createElement('use', { fill: '#000', filter: 'url(#a)', xlinkHref: '#b' }),
            _react2.default.createElement('use', { fill: color, xlinkHref: '#b' })
          ),
          _react2.default.createElement('path', { d: 'M25.432 24.265l7.424-7.424c1.025-1.025 1.025-2.687 0-3.712-1.025-1.025-2.687-1.025-3.712 0l-9.016 9.016c-.558.558-.812 1.305-.763 2.035-.113.764.115 1.558.69 2.132l9.163 9.164c.984.984 2.613.95 3.638-.074 1.025-1.025 1.06-2.654.074-3.638l-7.498-7.5z', fill: '#FFF' })
        )
      );
    }
  }]);

  return Arrow;
}(_react2.default.PureComponent);

Arrow.defaultProps = {
  size: '24',
  color: '#00B083'
};

Arrow.propTypes = {
  size: _propTypes2.default.string,
  color: _propTypes2.default.string
};

exports.default = Arrow;