'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Text = require('./Text');

var _Text2 = _interopRequireDefault(_Text);

var _Image = require('./Image');

var _Image2 = _interopRequireDefault(_Image);

var _Video = require('./Video');

var _Video2 = _interopRequireDefault(_Video);

var _Questioning = require('./Questioning');

var _Questioning2 = _interopRequireDefault(_Questioning);

var _Smile = require('./Smile');

var _Smile2 = _interopRequireDefault(_Smile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var GenericContent = function (_React$PureComponent) {
  _inherits(GenericContent, _React$PureComponent);

  function GenericContent() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, GenericContent);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = GenericContent.__proto__ || Object.getPrototypeOf(GenericContent)).call.apply(_ref, [this].concat(args))), _this), _this.renderIcon = function () {
      if (_this.props.type === 'image') {
        return _react2.default.createElement(_Image2.default, null);
      }

      if (_this.props.type === 'video') {
        return _react2.default.createElement(_Video2.default, null);
      }

      return _react2.default.createElement(_Text2.default, null);
    }, _this.renderInside = function () {
      if (_this.props.inside === 'questioning') {
        return _react2.default.createElement(_Questioning2.default, null);
      }

      if (_this.props.inside === 'smile') {
        return _react2.default.createElement(_Smile2.default, null);
      }

      return _react2.default.createElement(
        'svg',
        { xmlns: 'http://www.w3.org/2000/svg', width: '150', height: '150', viewBox: '8 6 154 154' },
        _react2.default.createElement(
          'g',
          null,
          _react2.default.createElement('path', { d: 'M28.4223457,38.9573207 L30.2573336,40.8702273 C30.5100148,41.1318985 30.8114895,41.2636364 31.1722137,41.2636364 C31.5311952,41.2636364 31.8396404,41.1318985 32.090579,40.8702273 L33.9238243,38.9573207 L42.1235922,30.3326282 C42.3762734,30.070957 42.5,29.755147 42.5,29.3797842 C42.5,29.0026167 42.3762734,28.6831974 42.1235922,28.4197216 L41.8510418,28.0656433 C41.601846,27.8021675 41.2934007,27.6704296 40.9344192,27.6704296 C40.5719524,27.6704296 40.2722203,27.8021675 40.0195392,28.0656433 L31.1722137,37.3089524 L27.2077336,33.1619152 C26.9550524,32.8984394 26.6500924,32.7667015 26.2876256,32.7667015 C25.9286442,32.7667015 25.6254268,32.8984394 25.3762309,33.1619152 L25.1036805,33.5123843 C24.8509994,33.7740555 24.7272727,34.0934748 24.7272727,34.4706422 C24.7272727,34.8478097 24.8509994,35.1618151 25.1036805,35.4252909 L28.4223457,38.9573207 Z', fill: '#FFFFFF' })
        )
      );
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(GenericContent, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          color = _props.color;

      return _react2.default.createElement(
        'svg',
        { width: size, height: size, viewBox: '0 0 64 64', xmlns: 'http://www.w3.org/2000/svg', className: 'jsx-2151491860'
        },
        _react2.default.createElement(
          'defs',
          {
            className: 'jsx-2151491860'
          },
          _react2.default.createElement(
            'linearGradient',
            { x1: '100%', y1: '100%', x2: '0%', y2: '100%', className: 'jsx-2151491860'
            },
            _react2.default.createElement('stop', { stopColor: '#FFFFFF', offset: '0%', className: 'jsx-2151491860'
            }),
            _react2.default.createElement('stop', { stopColor: '#FFFFFF', stopOpacity: '0', offset: '100%', className: 'jsx-2151491860'
            })
          ),
          _react2.default.createElement(
            'linearGradient',
            { x1: '50%', y1: '0%', x2: '50%', y2: '100%', className: 'jsx-2151491860'
            },
            _react2.default.createElement('stop', { stopColor: '#FFFFFF', offset: '0%', className: 'jsx-2151491860'
            }),
            _react2.default.createElement('stop', { stopColor: '#FFFFFF', stopOpacity: '0', offset: '100%', className: 'jsx-2151491860'
            })
          )
        ),
        _react2.default.createElement(
          'g',
          { stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', className: 'jsx-2151491860'
          },
          _react2.default.createElement(
            'g',
            {
              className: 'jsx-2151491860'
            },
            _react2.default.createElement(
              'g',
              {
                className: 'jsx-2151491860'
              },
              _react2.default.createElement('rect', { fillRule: 'evenodd', x: '5', y: '4', width: '40', height: '48', rx: '6', className: 'jsx-2151491860' + ' ' + (color || '')
              }),
              this.renderIcon(),
              _react2.default.createElement('path', { d: 'M42.1849861,10 C41.7385345,10 41.376614,9.64893715 41.376614,9.21587917 C41.4289719,8.78766673 41.2854127,8.35868696 40.9837539,8.04194535 C40.6820952,7.72520374 40.2525863,7.55246208 39.8083721,7.56922544 C39.3619205,7.56922544 39,7.21816259 39,6.78510462 C39,6.35204664 39.3619205,6.00098379 39.8083721,6.00098379 C40.6825876,5.97934595 41.525852,6.31547223 42.1317912,6.92710158 C42.7377303,7.53873092 43.0504285,8.36942256 42.9933582,9.21587917 C42.9933582,9.42384095 42.9081907,9.62328515 42.7565915,9.77033633 C42.6049923,9.91738751 42.3993797,10 42.1849861,10 Z', fill: '#FFFFFF', fillRule: 'nonzero', opacity: '0.800000012', className: 'jsx-2151491860'
              }),
              _react2.default.createElement('path', { d: 'M36.365312,7.60000002 L22.634688,7.60000002 C22.2841595,7.60000002 22,7.24182782 22,6.80000001 C22,6.35817221 22.2841595,6 22.634688,6 L36.365312,6 C36.7158405,6 37,6.35817221 37,6.80000001 C37,7.24182782 36.7158405,7.60000002 36.365312,7.60000002 Z', fill: '#b4b4e3', fillRule: 'nonzero', opacity: '0.5', className: 'jsx-2151491860'
              }),
              _react2.default.createElement('path', { d: 'M41.8,24 C41.3581722,24 41,23.6823894 41,23.2905969 L41,12.7094031 C41,12.3176106 41.3581722,12 41.8,12 C42.2418278,12 42.6,12.3176106 42.6,12.7094031 L42.6,23.2905969 C42.6,23.6823894 42.2418278,24 41.8,24 Z', fill: '#b4b4e3', fillRule: 'nonzero', opacity: '0.5', className: 'jsx-2151491860'
              })
            ),
            this.renderInside()
          )
        ),
        _react2.default.createElement(_style2.default, {
          styleId: '2151491860',
          css: ['.green.jsx-2151491860{fill:#00b083;}', '.purple.jsx-2151491860{fill:#7878cb;}', '.gray.jsx-2151491860{fill:#767c7c;}']
        })
      );
    }
  }]);

  return GenericContent;
}(_react2.default.PureComponent);

GenericContent.defaultProps = {
  size: 64
};

GenericContent.propTypes = {
  size: _propTypes2.default.number,
  type: _propTypes2.default.oneOf(['image', 'text', 'video']).isRequired,
  inside: _propTypes2.default.oneOf(['questioning', 'smile', 'check']).isRequired,
  color: _propTypes2.default.oneOf(['purple', 'green', 'gray']).isRequired
};

exports.default = GenericContent;